{
  "name": "@repo/rdx-ui",
  "version": "0.0.0",
  "type": "module",
  "private": true,
  "scripts": {
    "ui:lint": "biome lint --fix"
  },
  "exports": {
    "./globals.css": "./src/styles/globals.css",
    "./postcss.config": "./postcss.config.mjs",
    "./components": "./src/components/index.tsx",
    "./components/*": "./src/components/*.tsx",
    "./locales/*": "./src/locales/*",
    "./hooks/*": ["./src/hooks/*.tsx", "./src/hooks/*.ts"]
  },
  "peerDependencies": {
    "react": "^18 || ^19",
    "react-dom": "^18 || ^19"
  },
  "devDependencies": {
    "@biomejs/biome": "1.9.4",
    "@repo/typescript-config": "workspace:*",
    "@tailwindcss/postcss": "^4.1.5",
    "@turbo/gen": "^2.5.2",
    "@types/node": "^22.15.12",
    "@types/react": "^19.1.2",
    "@types/react-dom": "^19.1.3",
    "@vitejs/plugin-react": "^4.4.1",
    "esbuild-plugin-react18": "^0.2.6",
    "esbuild-plugin-react18-css": "^0.0.4",
    "tailwindcss": "^4.1.5",
    "tsup": "^8.4.0",
    "typescript": "^5.8.3",
    "typescript-plugin-css-modules": "^5.1.0",
    "vite-tsconfig-paths": "^5.1.4"
  },
  "dependencies": {
    "@dnd-kit/core": "^6.3.1",
    "@dnd-kit/modifiers": "^9.0.0",
    "@dnd-kit/sortable": "^10.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "@repo/shadcn-ui": "workspace:*",
    "@tanstack/react-table": "^8.21.3",
    "esbuild-raw-plugin": "^0.2.0",
    "i18next": "^25.0.2",
    "lucide-react": "^0.503.0",
    "react": "^19.1.0",
    "react-dom": "^19.1.0",
    "react-i18next": "^15.5.1",
    "react-router-dom": "^6.26.0",
    "recharts": "^2.15.3",
    "sonner": "^2.0.3",
    "zod": "^3.24.4"
  }
}
